FormFile (Apache Struts API Documentation)
Keywords: org.apache.struts.upload.FormFile,FormFile interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.upload
Interface FormFile

All Known Implementing Classes:
  CommonsMultipartRequestHandler.CommonsFormFile, DiskFile

public interface FormFile

This interface represents a file that has been uploaded by a client. It is the only interface or class in upload package which is typically referenced directly by a Struts application.

Method Summary
`void` | `destroy()` Destroys all content for the uploaded file, including any underlying data files.
`java.lang.String` | `getContentType()` Returns the content type for this file.
`byte[]` | `getFileData()` Returns the data for the entire file as byte array.
`java.lang.String` | `getFileName()` Returns the file name of this file.
`int` | `getFileSize()` Returns the size of this file.
`java.io.InputStream` | `getInputStream()` Returns an input stream for this file.
`void` | `setContentType(java.lang.String contentType)` Sets the content type for this file.
`void` | `setFileName(java.lang.String fileName)` Sets the file name of this file.
`void` | `setFileSize(int fileSize)` Sets the file size.

Method Detail

### getContentType

    public java.lang.String getContentType()

  Returns the content type for this file.

  Returns:
    A String representing content type.

### setContentType

    public void setContentType(java.lang.String contentType)

  Sets the content type for this file.

  Parameters:
    `contentType` - The content type for the file.

### getFileSize

    public int getFileSize()

  Returns the size of this file.

  Returns:
    The size of the file, in bytes.

### setFileSize

    public void setFileSize(int fileSize)

  Sets the file size.

  Parameters:
    `fileSize` - The size of the file, in bytes,

### getFileName

    public java.lang.String getFileName()

  Returns the file name of this file. This is the base name of the file, as supplied by the user when the file was uploaded.

  Returns:
    The base file name.

### setFileName

    public void setFileName(java.lang.String fileName)

  Sets the file name of this file.

  Parameters:
    `fileName` - The base file name.

### getFileData

    public byte[] getFileData()
                       throws java.io.FileNotFoundException,
                              java.io.IOException

  Returns the data for the entire file as byte array. Care is needed when using this method, since a large upload could easily exhaust available memory. The preferred method for accessing the file data is `getInputStream`.

  Returns:
    The file data as a byte array.
  Throws:
    `java.io.FileNotFoundException` - if the uploaded file is not found.
    `java.io.IOException` - if an error occurred while reading the file.

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.FileNotFoundException,
                                              java.io.IOException

  Returns an input stream for this file. The caller must close the stream when it is no longer needed.

  Throws:
    `java.io.FileNotFoundException` - if the uploaded file is not found.
    `java.io.IOException` - if an error occurred while reading the file.

### destroy

    public void destroy()

  Destroys all content for the uploaded file, including any underlying data files.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation